[package]
name = "aptos"
version = "0.1.0"
authors = ["Aptos Labs <opensource@aptoslabs.com>"]
description = "Aptos tool for management of nodes and interacting with the blockchain"
repository = "https://github.com/aptos-labs/aptos-core"
homepage = "https://aptoslabs.com"
license = "Apache-2.0"
publish = false
edition = "2018"
build = "build.rs"

[dependencies]
anyhow = "1.0.52"
async-trait = "0.1.42"
base64 = "0.13.0"
clap = "3.1.8"
hex = "0.4.3"
itertools = "0.10.3"
rand = "0.8.3"
reqwest = { version = "0.11.2", features = ["blocking", "json"] }
serde = "1.0.124"
serde_json = "1.0.64"
serde_yaml = "0.8.17"
shadow-rs = "0.11.0"
thiserror = "1.0.24"
tempfile = "3.2.0"
tokio = { version = "1.8.1", features = ["full"] }
tokio-util = { version = "0.6.4", features = ["compat"] }
toml = "0.5.9"
uuid = { version = "0.8.2", features = ["v4", "serde"] }

aptos-config = { path = "../../config" }
aptos-crypto = { path = "../aptos-crypto" }
aptos-logger = { path = "../aptos-logger" }
aptos-secure-storage = { path = "../../secure/storage" }
aptos-telemetry = { path = "../aptos-telemetry" }
aptos-temppath = { path = "../aptos-temppath" }
aptos-transaction-builder = { path = "../../sdk/transaction-builder" }
aptos-types = { path = "../../types" }
aptos-sdk = { path = "../../sdk" }
aptos-rest-client = { path = "../../crates/aptos-rest-client"}
aptos-workspace-hack = { version = "0.1", path = "../aptos-workspace-hack" }
aptos-vm = { path = "../../aptos-move/aptos-vm" }
bcs = "0.1.2"
short-hex-str = { path = "../short-hex-str" }
cached-framework-packages =  { path = "../../aptos-move/framework/cached-packages" }
move-binary-format = { git = "https://github.com/move-language/move", rev = "1b6b7513dcc1a5c866f178ca5c1e74beb2ce181e" }
move-cli = { git = "https://github.com/move-language/move", rev = "1b6b7513dcc1a5c866f178ca5c1e74beb2ce181e" }
move-core-types = { git = "https://github.com/move-language/move", rev = "1b6b7513dcc1a5c866f178ca5c1e74beb2ce181e", features=["address32"] }
move-package = { git = "https://github.com/move-language/move", rev = "1b6b7513dcc1a5c866f178ca5c1e74beb2ce181e" }
move-unit-test = { git = "https://github.com/move-language/move", rev = "1b6b7513dcc1a5c866f178ca5c1e74beb2ce181e" }
move-vm-types = { git = "https://github.com/move-language/move", rev = "1b6b7513dcc1a5c866f178ca5c1e74beb2ce181e" }

[build-dependencies]
shadow-rs = "0.11.0"
